Create order

Create a Scalapay order. The endpoint returns a token required to capture the payment and a checkoutUrl that redirects the customer to Scalapay Checkout, where the payment is authorized.

Body Params

Request body must be JSON (Content-Type: application/json). Responses are always JSON.

totalAmount
object
required

The monetary amount.

consumer
object
required

Consumer information.

billing
object

Address information.

shipping
object
required

Address information.

items
array of objects
required

List of items in the order.

items*
discounts
array of objects

Discounts applied to the order.

discounts
merchant
object
required

Redirection URLs for completing the payment.

string

Merchant reference for tracking the order in your system.

shippingAmount
object

The monetary amount.

taxAmount
object

The monetary amount.

string
enum

Type of order. Use online for online orders, offline for offline orders, and link for orders sent by SMS. When using link, include the extensions field.

Allowed:
string
enum

Product type. Could be empty. Use pay-in-3 for pay in 3, pay-in-4 for pay in 4, and later for pay later.

Allowed:
frequency
object

Specify the frequency of the payment. This is useful for pay later products. Do not include when using pay-in-3 or pay-in-4.

integer

Length of time (in milliseconds) that the order is valid. The maximum value is determined by your Scalapay contract. To extend it, contact Scalapay support.

extensions
object

Additional extension properties for the order.

Headers
string

Idempotency key used for retrying requests. Can be used for retrying failed requests.

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json